# salt.roster.sshconfig

Parses roster entries out of Host directives from SSH config

    salt-ssh --roster sshconfig '*' -r "echo hi"

class salt.roster.sshconfig.RosterMatcher(raw, tgt, tgt_type)

  Matcher for the roster data structure

  get_data(minion)

    Return the configured ip

  ret_glob_minions()

    Return minions that match via glob

  targets()

    Execute the correct tgt_type routine and return

salt.roster.sshconfig.parse_ssh_config(lines)

  Parses lines from the SSH config to create roster targets.

  Parameters:

    lines -- Individual lines from the ssh config file

  Returns:

    Dictionary of targets in similar style to the flat roster

salt.roster.sshconfig.targets(tgt, tgt_type='glob', **kwargs)

  Return the targets from the flat yaml file, checks opts for location but defaults to /etc/salt/roster